Subject: Deleivery of 2-day priority package
From: "Michael B" <[email-masked]>
To: "Cyndthia Matheny" <[email-masked]>
Date: Wed, 13 Jul 2016 09:21:14 -0400

Hello Cynthia.
I sent out a 2-day priority package that should have been delivered July 7, 2016. The last tracking says out for delivery on the 7th. Can you check in your system and let me know more details of this package? Also, I have not been getting any emails showing progress of the package which I thought I checked off. I got the initial email but that's it. Let me know what you find out.
Thank you,
Michael B
LLPS